#include "assert.h"

#include "string.h"
#include "math.h"
#include "stdlib.h"

#include "SDL.h"
#include "SDL_ttf.h"
#include "SDL_mixer.h"

#include "BList.h"

#include "auxiliar.h"
#include "variables.h"
#include "mog2.h"
#include "object.h"
#include "interfaces.h"
#include "tiles.h"
#include "samples.h"
#include "activeobject.h"
#include "activeroom.h"
#include "activeMAP.h"
#include "activemog2.h"
#include "activeinterface.h"


#ifdef KITSCHY_DEBUG_MEMORY 
#include "debug_memorymanager.h"
#endif



VIEWPORT::VIEWPORT()
{
	vp.x=0;
	vp.y=0;
	vp.w=0;
	vp.y=0;
	last_x=last_y=0;
	zoom=1.0F;
	current_interface=0;
} /* VIEWPORT::VIEWPORT */ 


VIEWPORT::~VIEWPORT()
{
	if (current_interface!=0) {
		delete current_interface;
		current_interface=0;
	} /* if */ 
} /* VIEWPORT::VIEWPORT */ 
